summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Schnaidt2015-09-22 22:30:23 +0200
committerAlexander Schnaidt2015-09-22 22:30:23 +0200
commit2221c1787cb67911bbefd03a12e3df588f40b19c (patch)
tree001ae2975f7ec7170f29860d79425838df90a932
parentd390fb8af16467300766a054e9e7f174c039a677 (diff)
downloadaur-2221c1787cb67911bbefd03a12e3df588f40b19c.tar.gz
passwordsafe: rename dependency 'ykpers' to 'yubikey-personalization', add conflict for 'pwsafe-gui'
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD6
2 files changed, 6 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 8dff98d20be..979bce9f357 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = passwordsafe
pkgdesc = Simple & Secure Password Management
pkgver = 0.96BETA
- pkgrel = 1
+ pkgrel = 2
url = http://sourceforge.net/projects/passwordsafe/
install = passwordsafe.install
arch = i686
@@ -13,12 +13,13 @@ pkgbase = passwordsafe
depends = libxtst
depends = wxgtk
depends = webkitgtk2
- depends = ykpers
+ depends = yubikey-personalization
depends = xerces-c
optdepends = xvkbd: virtual-keyboard support
conflicts = passwordsafe-debian
conflicts = passwordsafe-git
conflicts = pwsafe
+ conflicts = pwsafe-gui
source = http://downloads.sourceforge.net/project/passwordsafe/Linux-BETA/0.96/pwsafe-0.96BETA-src.tgz
source = http://downloads.sourceforge.net/project/passwordsafe/Linux-BETA/0.96/pwsafe-0.96BETA-src.tgz.sig
md5sums = 0da54dd106895e18dcff5ed370843884
diff --git a/PKGBUILD b/PKGBUILD
index 71c735fa273..9632a2a6208 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,16 +4,16 @@ _pkgname=pwsafe
pkgname=passwordsafe
_pkgver=0.96
pkgver="$_pkgver"BETA
-pkgrel=1
+pkgrel=2
pkgdesc="Simple & Secure Password Management"
arch=('i686' 'x86_64')
url="http://sourceforge.net/projects/passwordsafe/"
license=('Artistic2.0')
#to build without yubikey support, remove ykpers and uncomment NO_YUBI in build()
-depends=('libxtst' 'wxgtk' 'webkitgtk2' 'ykpers' 'xerces-c')
+depends=('libxtst' 'wxgtk' 'webkitgtk2' 'yubikey-personalization' 'xerces-c')
makedepends=('git' 'zip' 'libxt')
optdepends=('xvkbd: virtual-keyboard support')
-conflicts=('passwordsafe-debian' 'passwordsafe-git' 'pwsafe')
+conflicts=('passwordsafe-debian' 'passwordsafe-git' 'pwsafe' 'pwsafe-gui')
source=(http://downloads.sourceforge.net/project/$pkgname/Linux-BETA/$_pkgver/$_pkgname-$pkgver-src.tgz{,.sig})
install='passwordsafe.install'